Foreman - Bug #23387

rake rss:create_notifications - no implicit conversion of String into Integer

04/25/2018 06:19 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Notifications
Target version: 1.18.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5510
Description

When using the rake task with the FOREMAN_RSS_LATEST_POSTS option, the following error is observed.

rake aborted!
TypeError: no implicit conversion of String into Integer

/home/ohad/git/foreman/app/services/ui_notifications/rss_notifications_checker.rb:44:in " []'
/home/ohad/git/foreman/app/services/ui_notifications/rss_notifications_checker.rb:44:in “deliver!'
/home/ohad/git/foreman/lib/tasks/rss.rake:40:in “block (2 levels) in <top (required)>'

/home/ohad/.rvm/gems/ruby—-2.4.2Q@foreman/gems/rake-12.3.1/exe/rake:27:1in
/home/ohad/.rvm/gems/ruby-2.4.2Q@foreman/bin/ruby_executable_hooks:15:in
/home/ohad/.rvm/gems/ruby-2.4.2Q@foreman/bin/ruby_executable_hooks:15:in
Tasks: TOP => rss:create_notifications

(See full trace by running task with —--trace)

‘<top (required)>'
“eval'
<main>'

Associated revisions

Revision 1cb6f147 - 05/02/2018 07:57 AM - Ohad Levy
fixes #23387 - FOREMAN_RSS_LATEST_POSTS option now works

the rake task rss:create_notifications failed to
parse FOREMAN_RSS_LATEST_POSTS value correctly.

History

#1 - 04/30/2018 11:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/5510 added

#2 - 05/02/2018 07:57 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 330

#3 - 05/02/2018 08:01 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1cb6f147eb54e84ad39b837643d581f4ed96313c.
